document.addEventListener('DOMContentLoaded', function() {
  // Add click event to note cards
  const noteCards = document.querySelectorAll('.note-card');
  noteCards.forEach(card => {
    card.addEventListener('click', function() {
      // In a real app, this would navigate to the note detail view
      console.log('Note clicked:', this.querySelector('h3').textContent);
    });
  });

  // Simple animation for stats
  const statNumbers = document.querySelectorAll('.stat-number');
  statNumbers.forEach(number => {
    const target = parseInt(number.textContent);
    let current = 0;
    const increment = target / 30;
    
    const timer = setInterval(() => {
      current += increment;
      if (current >= target) {
        clearInterval(timer);
        current = target;
      }
      number.textContent = Math.floor(current);
    }, 30);
  });

  // Responsive menu toggle for mobile (would be expanded in a real app)
  const menuToggle = document.createElement('button');
  menuToggle.className = 'menu-toggle';
  menuToggle.innerHTML = '☰';
  menuToggle.style.display = 'none';
  document.querySelector('nav').prepend(menuToggle);

  function checkMobile() {
    if (window.innerWidth < 600) {
      menuToggle.style.display = 'block';
      document.querySelector('.nav-links').style.display = 'none';
    } else {
      menuToggle.style.display = 'none';
      document.querySelector('.nav-links').style.display = 'flex';
    }
  }

  window.addEventListener('resize', checkMobile);
  checkMobile();

  menuToggle.addEventListener('click', function() {
    const navLinks = document.querySelector('.nav-links');
    if (navLinks.style.display === 'none' || !navLinks.style.display) {
      navLinks.style.display = 'flex';
    } else {
      navLinks.style.display = 'none';
    }
  });
});